#include <Player.h>

SnakeNode::SnakeNode(sf::Vector2u gridPos_in, const sf::Color& color_in)
	: gridPos(gridPos_in)
	, color(color_in)
{ }

sf::Vector2f SnakeNode::windowPos(float gridSize_in)
{
	return {gridPos.x * gridSize_in, gridPos.y * gridSize_in};
}

SnakeNode& Player::head()
{
	return body[0];
}
